<?xml version="1.0" encoding="utf-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans.xsd"> 
    <description>Tigon Shiro Configuration</description>

    <bean id="securityManager" parent="securityManagerParent">
        <property name="realm">
            <bean class="me.chyxion.tigon.shiro.AuthorizingRealmSupport" />
        </property>
    </bean>
    <bean id="authConfigFactory" class="me.chyxion.tigon.shiro.AuthConfigFactory" />

    <!-- Shiro Filter -->
    <bean id="shiroFilter" parent="shiroFilterParent">
        <property name="filters">
            <bean factory-bean="authConfigFactory" factory-method="filters" />
        </property>
    </bean>

    <bean class="me.chyxion.tigon.shiro.AuthExceptionResolver" />
    <bean class="me.chyxion.tigon.shiro.service.support.AuthServiceSupport" />
</beans>
